---
title: "POST /blueprintcomments/search - Blueprint Comments · RUAL Documentation"
description: "POST: Search blueprint comments"
canonical: https://docs.rual.nl/cluster/api/blueprint-comments/blueprintcomments-search-post
language: en
---

# POST /blueprintcomments/search

Search blueprint comments

| Key | Type | Example | Description |
| --- | --- | --- | --- |
| **[authorization](https://docs.rual.nl/cluster/api#token-providing)** required | `string` | `"Bearer access_token"` | Access token |

```
{}
```

```
{
  "code": 401,
  "error": "INVALID_ACCESS_TOKEN"
}
```

| Status | Error Code | Description |
| --- | --- | --- |
| `401` | `INVALID_ACCESS_TOKEN` | Authentication required or invalid token |
| `403` | `INSUFFICIENT_PERMISSIONS` | Insufficient permissions for this operation |

| Permission | Description |
| --- | --- |
| `Bearer token` | Access token required via Authorization header, x-authtoken, x-token, query param, or cookie |
| `blueprintcomments_view` | Required scope: blueprintcomments_view |
